package com.hai.model;


import com.hai.entity.*;

import java.util.List;

/**
 * 
 * @ClassName:  UserInfoModel   
 * @Description:TODO(用户信息模型)   
 * @author: 胡锐 
 * @date:   2019年5月6日 上午11:06:17   
 *     
 * @Copyright: 2019 www.shinwoten.com Inc. All rights reserved.
 */
public class UserInfoModel {

	// 用户基本信息
	private SecUser secUser;
	// 用户部门信息
	private BsOrganization bsOrganization;
	// 用户角色
	private SecRole secRole;
	// 公司
	private BsCompany bsCompany;
	// 商户
	private HighMerchant merchant;
	// 门店
	private HighMerchantStore merchantStore;
	// 代理商
	private HighAgent highAgent;
	// 团油代理商
	private HighTyAgent highTyAgent;
	// 团油业务员
	private HighTySalesman highTySalesman;
	// 加油站员工
	private HighGasStaff gasStaff;
	// 权限列表
	private List<SecPermission> permissionList;
	// 菜单权限列表
	private List<MenuTreeModel> menuList;
	// 按钮权限列表
	private List<SecPermission> buttonList;

	private String token;

	public SecUser getSecUser() {
		return secUser;
	}

	public void setSecUser(SecUser secUser) {
		this.secUser = secUser;
	}

	public BsOrganization getBsOrganization() {
		return bsOrganization;
	}

	public void setBsOrganization(BsOrganization bsOrganization) {
		this.bsOrganization = bsOrganization;
	}

	public SecRole getSecRole() {
		return secRole;
	}

	public void setSecRole(SecRole secRole) {
		this.secRole = secRole;
	}

	public BsCompany getBsCompany() {
		return bsCompany;
	}

	public void setBsCompany(BsCompany bsCompany) {
		this.bsCompany = bsCompany;
	}

	public HighMerchant getMerchant() {
		return merchant;
	}

	public void setMerchant(HighMerchant merchant) {
		this.merchant = merchant;
	}

	public HighMerchantStore getMerchantStore() {
		return merchantStore;
	}

	public void setMerchantStore(HighMerchantStore merchantStore) {
		this.merchantStore = merchantStore;
	}

	public List<SecPermission> getPermissionList() {
		return permissionList;
	}

	public void setPermissionList(List<SecPermission> permissionList) {
		this.permissionList = permissionList;
	}

	public List<MenuTreeModel> getMenuList() {
		return menuList;
	}

	public void setMenuList(List<MenuTreeModel> menuList) {
		this.menuList = menuList;
	}

	public List<SecPermission> getButtonList() {
		return buttonList;
	}

	public void setButtonList(List<SecPermission> buttonList) {
		this.buttonList = buttonList;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public HighAgent getHighAgent() {
		return highAgent;
	}

	public void setHighAgent(HighAgent highAgent) {
		this.highAgent = highAgent;
	}

	public HighTyAgent getHighTyAgent() {
		return highTyAgent;
	}

	public void setHighTyAgent(HighTyAgent highTyAgent) {
		this.highTyAgent = highTyAgent;
	}

	public HighTySalesman getHighTySalesman() {
		return highTySalesman;
	}

	public void setHighTySalesman(HighTySalesman highTySalesman) {
		this.highTySalesman = highTySalesman;
	}

	public HighGasStaff getGasStaff() {
		return gasStaff;
	}

	public void setGasStaff(HighGasStaff gasStaff) {
		this.gasStaff = gasStaff;
	}
}
